/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: AcknowledgeStateVO.as 4798 2009-08-07 12:30:47Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.jasmine.monitoring.eos.notification.vo
{
import com.adobe.cairngorm.vo.IValueObject;

/**
 * this object represent the state of a notification : acknowledge or not.
 */
[RemoteClass(alias="org.ow2.jasmine.monitoring.eos.notification.service.exchange.AcknowledgeState")]
[Bindable]
public class AcknowledgeStateVO implements IValueObject
{
    /**
     * Whether the notification has been acknowledge or not.
     */
    private var stateObj : Boolean;

    public function set state(_state : Boolean) : void {
        this.stateObj = _state;
    }
    
    public function get state() : Boolean {
        return this.stateObj;
    }

    /**
     * The user who did acknowledge if it was.
     */
    private var userObj : String;
    
    public function set user(_user : String) : void {
        this.userObj = _user;
    }
    
    public function get user() : String {
        return this.userObj;
    }
    
    /**
    * the notification Id associated with state.
    */
    private var notificationIdObj : String;
    
    public function set notificationId(_notificationId : String) : void {
        this.notificationIdObj =_notificationId; 
    }
    
    public function get notificationId() : String {
        return this.notificationIdObj;
    }
    
    /**
    * Currently logged user.
    */
    private var loggedUserObj : String;
    
    public function set loggedUser(_loggedUser : String) : void {
        this.loggedUserObj = _loggedUser;
    }
    
    public function get loggedUser() : String {
        return this.loggedUserObj;
    }

}
}